Multiply Deposit
curl --request POST \
--url https://kamino.dial.to/api/v0/multiply/{marketAddress}/deposit \
--header 'Content-Type: application/json' \
--data '
{
"type": "transactions",
"account": "6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176"
}
'import requests
url = "https://kamino.dial.to/api/v0/multiply/{marketAddress}/deposit"
payload = {
"type": "transactions",
"account": "6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({type: 'transactions', account: '6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176'})
};
fetch('https://kamino.dial.to/api/v0/multiply/{marketAddress}/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<unknown>",
"transactions": [
"<string>"
],
"mode": "<unknown>",
"dialectExperimental": {
"reference": "<string>"
}
}Multiply
Multiply Deposit
Generate a transaction for depositing with leverage/multiply.
POST
/
v0
/
multiply
/
{marketAddress}
/
deposit
Multiply Deposit
Path Parameters
Market public key
Query Parameters
Collateral token mint address
Debt token mint address
The side of the multiply to deposit to
Available options:
A, B Leverage multiplier (1.1-10x)
Required range:
1.1 <= x <= 10The amount to deposit. Human readable value, e.g. 0.1 JLP
Required range:
x >= 0Slippage tolerance in percentage (0.1-10%)
Required range:
0.1 <= x <= 10Body
application/json
Was this page helpful?
⌘I